a {
  text-decoration: none !important;
}
.icon {
  height: 1rem;
  width: 1rem;
  @include background(center, no-repeat, contain);
  display: block;
}
.left-arrow-icon,
.right-arrow-icon {
  color: $white;
  width: 30px;
  height: 30px;
}

button:focus,
button:active,
.form-control:focus,
.form-control:active {
  box-shadow: none !important;
  outline: none;
  border: none;
}

.bt-shadow {
  box-shadow: inset 0 20px 20px -20px $white-smoke-2;
}
.dark-text {
  color: $black !important;
}
.bold-text {
  font-weight: bold;
}
.social-icons,
.social-blue-icons {
  i {
    width: 1.3rem;
    height: 1.3rem;
  }
  position: fixed;
  height:  fit-content;
  right: 40px;
  bottom: 30px;
  display: flex;
  flex-direction: column;
  justify-content: flex-end;
  z-index: 99;
  a:not(:last-child) {
    width: 1.2rem;
    height: 1.2rem;
    margin-bottom: 15px;
  }
}
@media (min-width: 768px) {
  .big-container {
    max-width: 620px;
  }
}

@media (min-width: 992px){
  .big-container {
    max-width: 800px;
}
}
@media (min-width: 1050px){
  .big-container {
    max-width: 850px;
}
}

@media (min-width: 1200px) {
  .big-container {
    max-width: 944px;
  }
}

@media (min-width: 1440px) {
  .big-container {
    max-width: 1120px;
  }
}
@media (min-width: 1560px) {
  .big-container {
    max-width: 1320px;
  }
}



@media (max-width: 1380px) {
  .slick-dots {
    margin-top: 25px;
  }
}

.spinner-wrapper {
  position: fixed;
  top: 50%;
  left: 50%;
  transform: translate(-50%, -50%);
  z-index: 999;
  background-color: $white;
  box-shadow: -1px 5px 43px -3px rgb(0, 0, 0, 0.15);
  -webkit-box-shadow: -1px 5px 43px -3px rgb(0, 0, 0, 0.15);
  -moz-box-shadow: -1px 5px 43px -3px rgb(0, 0, 0, 0.15);
}

.eclipse_spinner {
  background-image: url('../spinners/Eclipse-1s-200px.svg');
  @include background(center, no-repeat, cover);
  padding: 20px;
  width: 70px;
  height: 70px;
  color: $white;
  border-radius: 50%;
}
.img-ilustration {
  background-repeat: no-repeat;
  background-size: contain;
  width: 40%;
  height: 100vh;
  position: fixed;
  top: 13%;
  right: -10%;
  z-index: 2;
  opacity: 0.3;
}
.politique {
  .inside-div {
    h1:first-child {
      font-weight: 100;
    }
  }
}
.mark-onebeer {
  position: relative;
  background-color: transparent;
  color: $white;
  padding: 0px;
}
.r-sign {
  font-size: 0.9rem;
  position: absolute;
  top: -3px;
}
.video-insert {
  width: 100%;
  -o-object-fit: cover;
  object-fit: cover;
  height: 100%;
}
.video-player {
  width: 100%;
  height: 100vh;
  // background-color: $black;
  position: fixed;
  top: 0;
  z-index: 9999;
}
.fade-out {
  animation: fadeOut ease 2s;
  -webkit-animation: fadeOut ease 2s;
  -moz-animation: fadeOut ease 2s;
  -o-animation: fadeOut ease 2s;
  -ms-animation: fadeOut ease 2s;
}
@keyframes fadeOut {
  0% {
    opacity: 1;
    z-index: 9999;
  }
  100% {
    opacity: 0;
    z-index: -1;
  }
}

@-moz-keyframes fadeOut {
  0% {
    opacity: 1;
    z-index: 9999;
  }
  100% {
    opacity: 0;
    z-index: -1;
  }
}

@-webkit-keyframes fadeOut {
  0% {
    opacity: 1;
    z-index: 9999;
  }
  100% {
    opacity: 0;
    z-index: -1;
  }
}

.prevent-scroll {
  overflow: hidden !important;
}

.global-flags {
  position: fixed;
  bottom: 64px;
  right: 37.5px;
  z-index: 99;
  @include display-flex(flex, column, flex-end, '');
  .icon {
    width: 1.6rem;
    height: 1.6rem;
    &:hover {
      cursor: pointer;
      transform: scale(1.1);
    }

    &:not(:last-child) {
      margin-bottom: 7px;
    }
  }
}


@media (max-width: 576.98px) {
  .global-flags {
    bottom: 50px;
  }
  .CookieConsent{
    br{display: none;}
  }
}

.scroll-button {
  position: fixed;
  right: 14px;
  bottom: 100px;
  border: none;
  width: 40px;
  height: 40px;
  background: rgb(0, 0, 0);
  background: rgba(0, 0, 0, 0.4); /* Black see-through */
  z-index: 99999;
  &::before {
    content: '\203A';
    width: 10px;
    position: absolute;
    color: $white;
    transform: rotate(-90deg);
    top: -1px;
    left: 14px;
    font-size: 1.7rem;
  }
}

.CookieConsent{
  
  div:first-child{
    flex: unset!important;
    flex-direction: row-reverse;
    a{
      text-decoration: underline!important;
      padding: 10px 2px;
    }
  }
  .button-wrapper{
    display: flex;
    justify-content: space-around;

    flex-direction: row-reverse;
    button{
      width: fit-content;
      font-size: 0.8rem;
      border-radius: 8px;
    }
    button:first-child{
      background-color: transparent!important;
    }
    button:last-child{
      padding: 5px 31px!important;
    }
    i{
      color: $white;

    }
  }

}
.peche-style{
  position: absolute;
    right: 50%;
    top: 54px;
    width: 250px;
    height: 111px;
    z-index: 9;
    transform: translate(50%, 0%);
}
.toast-msg {
  position: fixed;
  bottom: -78px;
  background-color: $white;
  padding: 10px 50px;
  border-radius: 4px;
  border: 1px solid $dark-blue;
  h2{
    color:  $dark-blue!important;
    margin: 0px;
    text-transform: capitalize;
    font-size: 1.5rem;
    font-weight: 300;
  }
}
.points{
  font-size: 5rem;
  font-family: "Roboto";
}
// .slide-in {
//   position: fixed;
//   top: 0;
//   left: 0;
//   height: 100vh;
//   width: 100%;
//   background: #0e1363;
//   transform-origin: left;
// }

// .slide-out {
//   position: fixed;
//   top: 0;
//   left: 0;
//   height: 100vh;
//   width: 100%;
//   background: #080b33;
//   transform-origin: right;
// }


.tilt {
  position: relative;
  width: 100%;
  height: 100%;
  transform-style: preserve-3d;
  transform: perspective(100px);
  // background-color: darkblue;
  display: flex;
  justify-content: center;
  align-items: center;
  box-shadow: 0 3px 47px rgb(0 0 0 / 20%);
}